//*****************************************************************************
//*****************************************************************************
//  FILENAME:  AGND_DT.h  ( PGA )
//  Version: 3.2, Updated on 2012/9/21 at 11:59:15
//  Generated by PSoC Designer 5.3.2710
//
//  DESCRIPTION:  PGA User Module C Language interface file.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2012. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef AGND_DT_INCLUDE
#define AGND_DT_INCLUDE

#include <M8C.h>

//-------------------------------------------------
// Constants for AGND_DT API's.
//-------------------------------------------------
#define AGND_DT_OFF         0
#define AGND_DT_LOWPOWER    1
#define AGND_DT_MEDPOWER    2
#define AGND_DT_HIGHPOWER   3

#define AGND_DT_G48_0    0x0C
#define AGND_DT_G24_0    0x1C

#define AGND_DT_G16_0    0x08
#define AGND_DT_G8_00    0x18
#define AGND_DT_G5_33    0x28
#define AGND_DT_G4_00    0x38
#define AGND_DT_G3_20    0x48
#define AGND_DT_G2_67    0x58
#define AGND_DT_G2_27    0x68
#define AGND_DT_G2_00    0x78
#define AGND_DT_G1_78    0x88
#define AGND_DT_G1_60    0x98
#define AGND_DT_G1_46    0xA8
#define AGND_DT_G1_33    0xB8
#define AGND_DT_G1_23    0xC8
#define AGND_DT_G1_14    0xD8
#define AGND_DT_G1_06    0xE8
#define AGND_DT_G1_00    0xF8
#define AGND_DT_G0_93    0xE0
#define AGND_DT_G0_87    0xD0
#define AGND_DT_G0_81    0xC0
#define AGND_DT_G0_75    0xB0
#define AGND_DT_G0_68    0xA0
#define AGND_DT_G0_62    0x90
#define AGND_DT_G0_56    0x80
#define AGND_DT_G0_50    0x70
#define AGND_DT_G0_43    0x60
#define AGND_DT_G0_37    0x50
#define AGND_DT_G0_31    0x40
#define AGND_DT_G0_25    0x30
#define AGND_DT_G0_18    0x20
#define AGND_DT_G0_12    0x10
#define AGND_DT_G0_06    0x00

#define AGND_DT_AGNDBUFAPI 0

#pragma fastcall16 AGND_DT_Start
#pragma fastcall16 AGND_DT_SetPower
#pragma fastcall16 AGND_DT_SetGain
#pragma fastcall16 AGND_DT_Stop

#if (AGND_DT_AGNDBUFAPI)
#pragma fastcall16 AGND_DT_EnableAGNDBuffer
#pragma fastcall16 AGND_DT_DisableAGNDBuffer
#endif

//-------------------------------------------------
// Prototypes of the AGND_DT API.
//-------------------------------------------------
extern void AGND_DT_Start(BYTE bPowerSetting);     // Proxy class 2
extern void AGND_DT_SetPower(BYTE bPowerSetting);  // Proxy class 2
extern void AGND_DT_SetGain(BYTE bGainSetting);    // Proxy class 2
extern void AGND_DT_Stop(void);                    // Proxy class 1

#if (AGND_DT_AGNDBUFAPI)
extern void AGND_DT_EnableAGNDBuffer(void);
extern void AGND_DT_DisableAGNDBuffer(void);
#endif

//-------------------------------------------------
// Register Addresses for AGND_DT
//-------------------------------------------------

#pragma ioport  AGND_DT_GAIN_CR0:   0x07d
BYTE            AGND_DT_GAIN_CR0;
#pragma ioport  AGND_DT_GAIN_CR1:   0x07e
BYTE            AGND_DT_GAIN_CR1;
#pragma ioport  AGND_DT_GAIN_CR2:   0x07f
BYTE            AGND_DT_GAIN_CR2;
#pragma ioport  AGND_DT_GAIN_CR3:   0x07c
BYTE            AGND_DT_GAIN_CR3;

#endif
// end of file AGND_DT.h
